import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
import { VerifyArgs, VerifyArgsArgs } from '../types';
export type VerifyInstructionAccounts = {
    metadata: PublicKey;
    collectionAuthority: Signer;
    payer?: Signer;
    authorizationRules?: PublicKey;
    authorizationRulesProgram?: PublicKey;
};
export type VerifyInstructionData = {
    discriminator: number;
    verifyArgs: VerifyArgs;
};
export type VerifyInstructionDataArgs = {
    verifyArgs: VerifyArgsArgs;
};
export declare function getVerifyInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<VerifyInstructionDataArgs, VerifyInstructionData>;
export declare function verify(context: Pick<Context, 'serializer' | 'programs' | 'payer'>, input: VerifyInstructionAccounts & VerifyInstructionDataArgs): WrappedInstruction;
